libretools - Feature Request #50

Support mirror selection for source downloads
2012-03-18 10:24 AM - mtjm

Status: open % Done: 0%
Priority: feature

Assignee:

Category:

Description

PKGBUILDs have hardcoded URLs of a source mirror, sometimes they are slow, down or use too much bandwidth. If the scripts
replaced URLs matching some known patterns to use local or random mirrors instead, this would be much faster e.g. for building
most packages using sources packaged by Arch.

Related issues:
Has duplicate libretools - Bug #286: Support fetching sources from repo inste... not-a-bug 2013-01-07

History

#2 - 2013-05-02 08:58 AM - lukeshu

From a duplicate report:
I'm not sure what level we need to fix this at.

This would be a lot easier if the pacman devs accepted my patch to make DL_AGENTS do glob matching.

#3 - 2016-04-15 11:06 PM - lukeshu

Since we're patching pacman anyway, perhaps | should port that patch to pacman 5?

#4 - 2018-10-02 05:39 PM - lukeshu

- Tracker changed from Bug to Feature Request
